be.ehealth.businessconnector.genericasync.builders

## Interface ResponseObjectBuilder

- All Superinterfaces:
    ConfigurableImplementation
  All Known Implementing Classes:
    ResponseObjectBuilderImpl

      public interface ResponseObjectBuilder
      extends ConfigurableImplementation

  Used to build a response object Default impl : `ResponseObjectBuilderImpl` Factory : `BuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<Object,SignatureVerificationResult>` | `handleGetResponse(GetResponse getResponse)` Checks and validates the response of a get request.
    `Map<Object,SignatureVerificationResult>` | `handleGetResponse(GetResponse getResponse, String projectName)`
    `boolean` | `handlePostResponse(PostResponse postResponse)` Check the response of a post request.
    `<T> ProcessedMsgResponse<T>` | `processEncryptedResponse(MsgResponse msgResponse, String projectName, Class<T> clazz)`
    `<T> ProcessedGetResponse` | `processResponse(GetResponse getResponse, Class<T> clazz, String projectName, String schemaLocation)`
    `SignatureVerificationResult` | `validateMsgXadesT(Object value, byte[] xadesT, String projectName)`
    `SignatureVerificationResult` | `validateTAckXadesT(Object value, byte[] xadesT, String projectName)`

    - ### Methods inherited from interface be.ehealth.technicalconnector.utils.ConfigurableImplementation

      `initialize`

- - ### Method Detail

    - #### handlePostResponse

          boolean handlePostResponse(PostResponse postResponse)
                              throws GenAsyncBusinessConnectorException

      Check the response of a post request. it will check if there are no errors , and return a boolean true if there were warnings in the response.
      Parameters:
        `postResponse` - the WS response
      Returns:
        true if error contains warnings, false if it doesn't
      Throws:
        `GenAsyncBusinessConnectorException`

    - #### handleGetResponse

          Map<Object,SignatureVerificationResult> handleGetResponse(GetResponse getResponse)
                                                             throws GenAsyncBusinessConnectorException,
                                                                    TechnicalConnectorException

      Checks and validates the response of a get request. if there are Xades signatures , they will be validated. ( mycarenet already validates that the messages containt the xades signature if they are needed , no additional check on presence of these signatures is needed) the hashvalue check should be done seperately ( with BlobBuilder code ) while retrieving the contents of the messages.
      Parameters:
        `getResponse` - the WS Response
      Returns:
        when no validation failures occure the return is a Map with the responses ( TackResponse or MessageResponse ) as key and the `SignatureVerificationResult` as value
      Throws:
        `GenAsyncBusinessConnectorException` - with the results if there is a signature verification failure
        `TechnicalConnectorException`

    - #### handleGetResponse

          Map<Object,SignatureVerificationResult> handleGetResponse(GetResponse getResponse,
                                                                    String projectName)
                                                             throws GenAsyncBusinessConnectorException

      Throws:
        `GenAsyncBusinessConnectorException`

    - #### processResponse

          <T> ProcessedGetResponse processResponse(GetResponse getResponse,
                                                   Class<T> clazz,
                                                   String projectName,
                                                   String schemaLocation)
                                            throws GenAsyncBusinessConnectorException,
                                                   TechnicalConnectorException

      Throws:
        `GenAsyncBusinessConnectorException`
        `TechnicalConnectorException`

    - #### processEncryptedResponse

          <T> ProcessedMsgResponse<T> processEncryptedResponse(MsgResponse msgResponse,
                                                               String projectName,
                                                               Class<T> clazz)
                                                        throws TechnicalConnectorException,
                                                               GenAsyncBusinessConnectorException

      Throws:
        `TechnicalConnectorException`
        `GenAsyncBusinessConnectorException`

    - #### validateTAckXadesT

          SignatureVerificationResult validateTAckXadesT(Object value,
                                                         byte[] xadesT,
                                                         String projectName)
                                                  throws GenAsyncBusinessConnectorException

      Throws:
        `GenAsyncBusinessConnectorException`

    - #### validateMsgXadesT

          SignatureVerificationResult validateMsgXadesT(Object value,
                                                        byte[] xadesT,
                                                        String projectName)
                                                 throws GenAsyncBusinessConnectorException

      Throws:
        `GenAsyncBusinessConnectorException`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.